* [edk2-devel] PATCH v2] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU"
@ 2023-08-24 5:00 Mike Beaton
2023-08-24 5:04 ` 回复: " gaoliming via groups.io
0 siblings, 1 reply; 2+ messages in thread
From: Mike Beaton @ 2023-08-24 5:00 UTC (permalink / raw)
To: devel
This reverts commit 173a7a7daaad560cd69e1000faca1d2b91774c46.
Fixes https://bugzilla.tianocore.org/show_bug.cgi?id=4528
Signed-off-by: Mike Beaton <mjsbeaton@gmail.com>
---
OvmfPkg/build.sh | 12 +++++++-----
1 file changed, 7 insertions(+), 5 deletions(-)
diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
index b0334fb76e..be2cbce0fd 100755
--- a/OvmfPkg/build.sh
+++ b/OvmfPkg/build.sh
@@ -245,11 +245,6 @@ else
echo using prebuilt tools
fi
-#
-# Build the edk2 OvmfPkg
-#
-echo Running edk2 build for OvmfPkg$Processor
-build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
$TARGET_TOOLS -n $THREADNUMBER -DDEBUG_ON_SERIAL_PORT=TRUE
if [[ "$RUN_QEMU" == "yes" ]]; then
if [[ ! -d $QEMU_FIRMWARE_DIR ]]; then
@@ -265,3 +260,10 @@ if [[ "$RUN_QEMU" == "yes" ]]; then
$QEMU_COMMAND "$@"
exit $?
fi
+
+#
+# Build the edk2 OvmfPkg
+#
+echo Running edk2 build for OvmfPkg$Processor
+build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
$TARGET_TOOLS -n $THREADNUMBER
+exit $?
--
2.37.5
-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.
View/Reply Online (#107995): https://edk2.groups.io/g/devel/message/107995
Mute This Topic: https://groups.io/mt/100930184/7686176
Group Owner: devel+owner@edk2.groups.io
Unsubscribe: https://edk2.groups.io/g/devel/unsub [rebecca@openfw.io]
-=-=-=-=-=-=-=-=-=-=-=-
^ permalink raw reply related [flat|nested] 2+ messages in thread
* 回复: [edk2-devel] PATCH v2] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU"
2023-08-24 5:00 [edk2-devel] PATCH v2] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU" Mike Beaton
@ 2023-08-24 5:04 ` gaoliming via groups.io
0 siblings, 0 replies; 2+ messages in thread
From: gaoliming via groups.io @ 2023-08-24 5:04 UTC (permalink / raw)
To: devel, mjsbeaton; +Cc: 'Rebecca Cran'
Include Rebecca who makes the original change.
Thanks
Liming
> -----邮件原件-----
> 发件人: devel@edk2.groups.io <devel@edk2.groups.io> 代表 Mike Beaton
> 发送时间: 2023年8月24日 13:00
> 收件人: devel@edk2.groups.io
> 主题: [edk2-devel] PATCH v2] Revert "OvmfPkg: Update build.sh to allow
> building OVMF then running QEMU"
>
> This reverts commit 173a7a7daaad560cd69e1000faca1d2b91774c46.
>
> Fixes https://bugzilla.tianocore.org/show_bug.cgi?id=4528
>
> Signed-off-by: Mike Beaton <mjsbeaton@gmail.com>
> ---
> OvmfPkg/build.sh | 12 +++++++-----
> 1 file changed, 7 insertions(+), 5 deletions(-)
>
> diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
> index b0334fb76e..be2cbce0fd 100755
> --- a/OvmfPkg/build.sh
> +++ b/OvmfPkg/build.sh
> @@ -245,11 +245,6 @@ else
> echo using prebuilt tools
> fi
> -#
> -# Build the edk2 OvmfPkg
> -#
> -echo Running edk2 build for OvmfPkg$Processor
> -build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
> $TARGET_TOOLS -n $THREADNUMBER -DDEBUG_ON_SERIAL_PORT=TRUE
> if [[ "$RUN_QEMU" == "yes" ]]; then
> if [[ ! -d $QEMU_FIRMWARE_DIR ]]; then
> @@ -265,3 +260,10 @@ if [[ "$RUN_QEMU" == "yes" ]]; then
> $QEMU_COMMAND "$@"
> exit $?
> fi
> +
> +#
> +# Build the edk2 OvmfPkg
> +#
> +echo Running edk2 build for OvmfPkg$Processor
> +build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
> $TARGET_TOOLS -n $THREADNUMBER
> +exit $?
> --
> 2.37.5
>
>
>
>
-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.
View/Reply Online (#107996): https://edk2.groups.io/g/devel/message/107996
Mute This Topic: https://groups.io/mt/100930209/7686176
Group Owner: devel+owner@edk2.groups.io
Unsubscribe: https://edk2.groups.io/g/devel/unsub [rebecca@openfw.io]
-=-=-=-=-=-=-=-=-=-=-=-
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2023-08-24 5:04 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-08-24 5:00 [edk2-devel] PATCH v2] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU" Mike Beaton
2023-08-24 5:04 ` 回复: " gaoliming via groups.io
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox